For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
      • GETReturns all automations of the specified project.
      • POSTCreates a new automation for the specified project.
      • GETReturns a specific automation from a project.
      • PUTUpdates the automation with the specified id.
      • DELDeletes the specified automation for a given project.
      • GETGets the actions of a project automation.
      • POSTCreates a new action for an automation.
      • GETGets a specific action for a project automation.
      • PUTUpdates a specifc action of a project automation.
      • DELDeletes an action for a project automation.
      • POSTUpdates the order of a given action of a project automation.
      • POSTExecutes a manual automation for a task.
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Automations

Deletes the specified automation for a given project.

DELETE
https://api.awork.com/api/v1/projects/:projectId/automations/:automationId
DELETE
/api/v1/projects/:projectId/automations/:automationId
$curl -X DELETE https://api.awork.com/api/v1/projects/projectId/automations/automationId \
> -H "Authorization: Bearer <token>"
Deletes the specified automation for a given project. Also deletes all actions connected to the automation. The user needs to be the owner of the project or have 'write' permissions of the feature 'project-master-data' globally or in the project. Automations created from a workflow cannot be deleted via this endpoint. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Gets the actions of a project automation.

Next
Built with

Deletes the specified automation for a given project. Also deletes all actions connected to the automation. The user needs to be the owner of the project or have ‘write’ permissions of the feature ‘project-master-data’ globally or in the project. Automations created from a workflow cannot be deleted via this endpoint.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

automationIdstringRequiredformat: "uuid"
The id of the automation.
projectIdstringRequiredformat: "uuid"
The id of the project.

Response

No Content

Errors

400
Bad Request Error